Package com.io7m.smfj.format.text.v1

## Class SMFTV1BodySectionParserVerticesNonInterleaved

- java.lang.Object
- - com.io7m.smfj.format.text.v1.SMFTV1BodySectionParserVerticesNonInterleaved

- All Implemented Interfaces:
    `SMFTBodySectionParserType`

      public final class SMFTV1BodySectionParserVerticesNonInterleaved
      extends java.lang.Object
      implements SMFTBodySectionParserType

  A parser for the "vertices" body section.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SMFTV1BodySectionParserVerticesNonInterleaved​(java.util.function.Supplier<SMFHeader> in_header_get, SMFTLineReaderType in_reader, java.util.BitSet in_state)` | Construct a parser.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `name()` |
    `SMFTParsingStatus` | `parse​(SMFParserEventsBodyType receiver, java.util.List<java.lang.String> line_start)` | Parse the section, delivering events to `receiver`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SMFTV1BodySectionParserVerticesNonInterleaved

          public SMFTV1BodySectionParserVerticesNonInterleaved​(java.util.function.Supplier<SMFHeader> in_header_get,
                                                               SMFTLineReaderType in_reader,
                                                               java.util.BitSet in_state)

      Construct a parser.
      Parameters:
        `in_header_get` - A function that yields a header
        `in_reader` - A line reader
        `in_state` - The current state

  - ### Method Detail

    - #### name

          public java.lang.String name()

      Specified by:
        `name` in interface `SMFTBodySectionParserType`
      Returns:
        The name of the body section

    - #### parse

          public SMFTParsingStatus parse​(SMFParserEventsBodyType receiver,
                                         java.util.List<java.lang.String> line_start)
                                  throws java.io.IOException

      Description copied from interface: `SMFTBodySectionParserType`
      Parse the section, delivering events to `receiver`.
      Specified by:
        `parse` in interface `SMFTBodySectionParserType`
      Parameters:
        `receiver` - The event receiver
        `line_start` - The current line
      Returns:
        The result of parsing
      Throws:
        `java.io.IOException` - On I/O errors